Forum Linux.debian/ubuntu apt cassé

Posté par .
Tags : aucun
-1
1
nov.
2012

Bonjour
J'ai du faire une fausse manoeuvre, ou alors une mise à jour s'est mal passée:

sudo apt-get -f install
[sudo] password for jose:
Lecture des listes de paquets… Fait
Construction de l'arbre des dépendances

Lecture des informations d'état… Fait
Correction des dépendances… Fait
Les paquets supplémentaires suivants seront installés :
libapt-pkg4.12
Les paquets suivants seront mis à jour :
libapt-pkg4.12
1 mis à jour, 0 nouvellement installés, 0 à enlever et 168 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/939 ko dans les archives.
Après cette opération, 5 120 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
(Lecture de la base de données… 531828 fichiers et répertoires déjà installés.)
Préparation du remplacement de libapt-pkg4.12 0.8.16~exp12ubuntu10.3 (en utilisant …/libapt-pkg4.12_0.8.16~exp12ubuntu10.5_amd64.deb) …
Dépaquetage de la mise à jour de libapt-pkg4.12 …
dpkg : erreur de traitement de /var/cache/apt/archives/libapt-pkg4.12_0.8.16~exp12ubuntu10.5_amd64.deb (--unpack) :
'./usr/share/locale/bg/LC_MESSAGES/libapt-pkg4.12.mo' is different from the same file on the system
dpkg-deb : erreur : le sous-processus coller a été tué par le signal (Relais brisé (pipe))
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/libapt-pkg4.12_0.8.16~exp12ubuntu10.5_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Merci à celui ou celle qui me proposera une piste ou solution toute faite, google n'a pas été autant mon ami que d'habitude ici.

  • # A suivre

    Posté par . Évalué à 3.

    Bonsoir,

    en cherchant le message d'erreur, sur Internet, j'ai un rapport de bug :
    https://lists.ubuntu.com/archives/foundations-bugs/2012-February/068099.html

    Tiens-nous au courant.

    Pour la prochaine fois, dès que tu peux, installes le paquet apt-listbugs, ça sauve parfois.

    Bonne soirée
    G

  • # résolu

    Posté par . Évalué à 1.

    donc j'ai fait

    • ajouter les dépots "proposed" dans synaptic (peut-être aucun rapport)
    • dpkg --configure -a
    • dpkg --force-depends -r libapt-pkg4.12:i386
    • apt-get download libapt-pkg4.12/precise-security
    • sudo dpkg -i libapt-pkg4.12_0.8.16~exp12ubuntu10.2_amd64.deb

    ça a l'air de marcher, merci.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.